PYLAMA(1)

NAME
pylama - code audit tool for Python

SYNOPSYS

pylama [-h] [--verbose] [--version] [--format {pep8, pylint}] [--select SELECT] [--sort SORT] [--linters LINTERS] [--ignore IGNORE] [--skip SKIP] [--report REPORT] [--hook] [--async] [--options OPTIONS] [--force] [--abspath] [paths [paths ...]]

OPTIONS

-h, --help
    show the help message and exit

-v, --verbose
    verbose mode

--version
    show program’s version number and exit

-f {pep8, pylint}, --format {pep8, pylint}
    Choose errors format (pep8, pylint).

-s SELECT, --select SELECT
    Select errors and warnings. (comma-separated list)

--sort SORT
    Sort result by error types. Ex. E, W, D

-l LINTERS, --linters LINTERS
    Select linters. (comma-separated). Choices are pyflakes, pep8, pep257, mccabe.

-i IGNORE, --ignore IGNORE
    Ignore errors and warnings. (comma-separated)

--skip SKIP
    Skip files by masks (comma-separated, Ex. */messages.py)

-r REPORT, --report REPORT
    Send report to file [REPORT]

--hook
    Install Git (Mercurial) hook.

--async
    Enable async mode. Useful for checking a lot of files. Unsupported with pylint.

-o FILE, --options FILE
    Specify configuration file. Looks for pylama.ini, setup.cfg, tox.ini, or pytest.ini in the current directory.

-F, --force
    Force code checking (if linter doesn’t allow)

-a, --abspath
    Use absolute paths in output.

AUTHOR

This manual page was written by ChangZhuo Chen <czchen@debian.org> for the Debian GNU/Linux system (but may be used by others).